name: CI Workflow

on: [push]

jobs:
  build_push:
    uses: ./.github/workflows/build_push_container.yml
    with:
      registry: https://${{ secrets.MY_REGISTRY }}
      registry_username: ${{ secrets.MY_REGISTRY_USERNAME }}
      registry_password: ${{ secrets.MY_REGISTRY_PASSWORD }}
      titles: 'Your Image Title' # Specify any required titles or metadata if needed
